AC_PREREQ([2.64])
AC_INIT([rpmsg-char-helper], [0.0.0],
        [], [rpmsg-char-helper])
AC_CONFIG_SRCDIR([Makefile.am])
AC_CONFIG_HEADERS([config.h])

# Initialize Automake
AM_INIT_AUTOMAKE([foreign])
#AM_MAINTAINER_MODE

# Initialize libtool
AC_PROG_LIBTOOL

AC_ARG_WITH(soc,
	    AS_HELP_STRING([--with-soc=@<:@j7|am65xx@:>@]
			   [Which SoC to build the library for]),
			   [],[with_soc="j7"])

if test "x$with_soc" = "xj7"; then
	soc_j7=yes
else
if test "x$with_soc" = "xam65xx"; then
	soc_am65xx=yes
else
	AC_ERROR([Unknown SoC requested])
fi
fi

AM_CONDITIONAL(USE_SOC_J7, test x$soc_j7 = xyes)
AM_CONDITIONAL(USE_SOC_AM65XX, test x$soc_am65xx = xyes)


AC_CONFIG_FILES([Makefile rpmsg_char_helper.pc])
AC_OUTPUT
